%global commit c30d136efc100145deeaea8e82ab34a94f690c8f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global libsuffix yui
%global libname lib%{libsuffix}
%global devel_min_ver 3.0.4
%global major_so_ver 5

%global _hardened_build 1


Name:		%{libname}-qt
Version:	2.43.3
Release:	2%{?dist}
Summary:	Qt User Interface for %{libname}
Group:		System Environment/Libraries
License:	LGPLv2 or LGPLv3
URL:		https://github.com/%{libname}/%{name}/
Source0:	https://github.com/%{libname}/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:	doxygen
BuildRequires:	fdupes
BuildRequires:	graphviz
BuildRequires:	%{libname}-devel >= %{devel_min_ver}
BuildRequires:	qt-devel

Provides:	%{libsuffix}-ui%{?_isa} = %{major_so_ver}


%description
This package contains the qt user interface component for %{libname}.


%package devel

Summary:	Files needed for developing with %{name}
Group:		Development/Libraries

Requires:	%{libname}-devel%{?_isa} >= %{devel_min_ver}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	qt-devel%{?_isa}


%description devel
%{libname} can be used independently of YaST for generic (C++) applications
and has very few dependencies.

You do NOT need this package for developing with %{libname}. Use of
%{libname}-devel is sufficient for such purpose.
This package is only needed when you want to develop an extension for
%{name} which is not covered within the UI-plugin.


%package doc

Summary:	Documentation files for %{name}
Group:		Documentation

BuildArch:	noarch


%description doc
This package includes the developer's documentation as HTML for %{name}.


%prep
%setup -q -n %{name}-%{commit}
./bootstrap.sh


%build
mkdir -p build
cd build

%cmake .. \
	-DPREFIX=%{_prefix} \
	-DLIB_DIR=%{_libdir} \
	-DDOC_DIR=%{_defaultdocdir} \
	-DDOC_SUBDIR=%{name}-%{version} \
	-DINSTALL_DOCS=ON \
	-DSKIP_LATEX=ON \
	-DCMAKE_BUILD_TYPE=RELEASE \
	-DRESPECT_FLAGS=ON

make %{?_smp_mflags}
make %{?_smp_mflags} docs

%install
cd build

%make_install

install -pm0644 ../COPYING* %{buildroot}/%{_defaultdocdir}/%{name}-%{version}
install -pm0644 ../ChangeLog %{buildroot}/%{_defaultdocdir}/%{name}-%{version}

%fdupes %{buildroot}/%{_defaultdocdir}/%{name}-%{version}


%files
%{_libdir}/%{libsuffix}/lib*.so.%{major_so_ver}*
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/C*


%files devel
%{_libdir}/%{libsuffix}/lib*.so
%{_includedir}/%{libsuffix}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}


%files doc
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/*/


%changelog
* Mon May 20 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.3-2
- changed Provides: `yui_ui =` from `version` to `major_so_ver`
- install lib*.so.`major_so_ver`* in main-pkg not lib*.so.*
- add `-DRESPECT_FLAGS=ON`, will be honored by libyui >= 3.0.5
- removed macros from changelog

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.3-1
- new upstream version
- adjusted libyui-devel min-version
- added needed bootstrap to prep

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.2-1
- Initial RPM release.
